date: 2006-07-08 00:53:18
ispublic: 1
source: http://farm1.static.flickr.com/81/235162518_e46524f3bd_o.jpg
tags: people, bands, XP8, me, marco visconti, nancy, moscow, russia, 1yodc, club, matrix club, showcase, Dead Channel
title: The Girl...
url: http://www.flickr.com/photos/umonkey/235162518/
---
Who made it all possible.